## glusterfs 5.1

=== contrib/umountd/Makefile ===
# Makefile.in generated by automake 1.13.4 from Makefile.am.
# contrib/umountd/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/glusterfs
pkgincludedir = $(includedir)/glusterfs
pkglibdir = $(libdir)/glusterfs
pkglibexecdir = $(libexecdir)/glusterfs
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
sbin_PROGRAMS = umountd$(EXEEXT)
subdir = contrib/umountd
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/depcomp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/contrib/aclocal/mkdirp.m4 \
	$(top_srcdir)/contrib/aclocal/python.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h $(top_builddir)/site.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(sbindir)"
PROGRAMS = $(sbin_PROGRAMS)
am_umountd_OBJECTS = umountd-umountd.$(OBJEXT)
umountd_OBJECTS = $(am_umountd_OBJECTS)
am__DEPENDENCIES_1 =
umountd_DEPENDENCIES =  \
	$(top_builddir)/libglusterfs/src/libglusterfs.la \
	$(am__DEPENDENCIES_1)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
umountd_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(umountd_CFLAGS) \
	$(CFLAGS) $(umountd_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(umountd_SOURCES)
DIST_SOURCES = $(umountd_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jenkins/root/workspace/release-new/missing aclocal-1.13
ACL_LIBS = -lacl
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AM_LIBTOOLFLAGS = 
AM_MAKEFLAGS =  --no-print-directory
AR = ar
ARGP_LDADD = 
AUTOCONF = ${SHELL} /home/jenkins/root/workspace/release-new/missing autoconf
AUTOHEADER = ${SHELL} /home/jenkins/root/workspace/release-new/missing autoheader
AUTOMAKE = ${SHELL} /home/jenkins/root/workspace/release-new/missing automake-1.13
AWK = gawk
BUILD_PYTHON_SITE_PACKAGES = ${prefix}/lib/python2.7/site-packages
BUILD_PYTHON_SITE_PACKAGES_EXPANDED = NONE/lib/python2.7/site-packages
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
CONTRIBDIR = $(top_srcdir)/contrib
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EVENTS_ENABLED = 1
EVENTS_SUBDIR = events
EXEEXT = 
FGREP = /usr/bin/grep -F
FUSERMOUNT_SUBDIR = contrib/fuse-util
FUSE_CLIENT_SUBDIR = fuse
GEOREP_EXTRAS_SUBDIR = geo-rep
GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
GFAPI_LIBS = -lacl
GFAPI_LT_VERSION = 0:0:0
GFAPI_VERSION = 7.5.1
GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
GF_CPPFLAGS =  -I/usr/include/uuid   -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
GF_DISTRIBUTION = Redhat
GF_FUSE_CFLAGS = -DFUSERMOUNT_DIR=\"$(bindir)\"
GF_FUSE_LDADD = 
GF_HOST_OS = GF_LINUX_HOST_OS
GF_LDADD =  -lm
GF_LDFLAGS =  -rdynamic
GF_NO_UNDEFINED = -Wl,--no-undefined
GF_XLATOR_DEFAULT_LDFLAGS = -avoid-version -export-symbols $(top_srcdir)/xlators/xlator.sym $(UUID_LIBS) $(GF_NO_UNDEFINED)
GF_XLATOR_LDFLAGS = -avoid-version $(UUID_LIBS) $(GF_NO_UNDEFINED)
GLUPY_SUBDIR = glupy
GLUPY_SUBDIR_MAKEFILE = xlators/features/glupy/Makefile
GLUPY_SUBDIR_SRC_MAKEFILE = xlators/features/glupy/src/Makefile
GLUSTERD_VOLFILE = /usr/local/etc/glusterfs/glusterd.vol
GLUSTERD_WORKDIR = /var/lib/glusterd
GLUSTERFSD_MISCDIR = /usr/local/var/lib/misc/glusterfsd
GLUSTERFS_LIBEXECDIR = /usr/local/libexec/glusterfs
GREP = /usr/bin/grep
HAVE_ATOMIC_BUILTINS = 
HAVE_BACKTRACE = 
HAVE_LINKAT = 
HAVE_MALLOC_STATS = 
HAVE_SPINLOCK = 
HAVE_STRNLEN = 
HAVE_SYNC_BUILTINS = 
IBVERBS_SUBDIR = ib-verbs
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBAIO = -laio
LIBGFCHANGELOG_LT_VERSION = 0:1:0
LIBGFCHANGELOG_VERSION = 0.0.1
LIBGFDB_VERSION = 0.0.1
LIBGFRPC_LT_VERSION = 0:1:0
LIBGFXDR_LT_VERSION = 0:1:0
LIBGLUSTERFS_LT_VERSION = 0:1:0
LIBOBJS = 
LIBS = -lrt -ldl -lpthread -lcrypto 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_DL = -ldl
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jenkins/root/workspace/release-new/missing makeinfo
MANIFEST_TOOL = :
MATH_LIB = -lm
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OCF_SUBDIR = ocf
OTOOL = 
OTOOL64 = 
PACKAGE = glusterfs
PACKAGE_BUGREPORT = gluster-users@gluster.org
PACKAGE_NAME = glusterfs
PACKAGE_RELEASE = 0
PACKAGE_STRING = glusterfs 5.1
PACKAGE_TARNAME = glusterfs
PACKAGE_URL = https://github.com/gluster/glusterfs.git
PACKAGE_VERSION = 5.1
PATH_SEPARATOR = :
PKGCONFIG_UUID = uuid
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PYTHON = /usr/bin/python2
PYTHON_CFLAGS = -isystem /usr/include/python2.7
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_LIBS = -lpython2.7  
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
RANLIB = ranlib
RDMA_SUBDIR = rdma
RLLIBS = -lreadline -lncurses
RPCGEN = yes
SBIN_DIR = /usr/local/sbin
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SIZEOF_INT = 4
SIZEOF_LONG = 8
SIZEOF_LONG_LONG = 8
SIZEOF_SHORT = 2
SQLITE_CFLAGS =  
SQLITE_LIBS = -lsqlite3  
STRIP = strip
SYNCDAEMON_COMPILE = 1
SYNCDAEMON_SUBDIR = geo-replication
SYSCONF_DIR = /usr/local/etc
TIRPC_CFLAGS = 
TIRPC_LIBS = 
UMOUNTD_SUBDIR = 
UNITTEST_CFLAGS =   -DUNIT_TESTING=1 -g -DDEBUG -O0 --coverage
UNITTEST_LDFLAGS =  
UNITTEST_LIBS = 
URCU_CDS_CFLAGS =  
URCU_CDS_LIBS = -lurcu-cds  
URCU_CFLAGS =  
URCU_LIBS = -lurcu-bp  
USE_EC_DYNAMIC_AVX = 
USE_EC_DYNAMIC_NEON = 
USE_EC_DYNAMIC_SSE = 
USE_EC_DYNAMIC_X64 = 
USE_POSIX_ACLS = 1
UUID_CFLAGS = -I/usr/include/uuid  
UUID_LIBS = -luuid  
VERSION = 5.1
XML_CFLAGS = -I/usr/include/libxml2  
XML_LIBS = -lxml2  
YACC = bison -y
YFLAGS = 
ZLIB_CFLAGS =  
ZLIB_LIBS = -lz
abs_builddir = /home/jenkins/root/workspace/release-new/contrib/umountd
abs_srcdir = /home/jenkins/root/workspace/release-new/contrib/umountd
abs_top_builddir = /home/jenkins/root/workspace/release-new
abs_top_srcdir = /home/jenkins/root/workspace/release-new
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
initdir = /etc/init.d
install_sh = ${SHELL} /home/jenkins/root/workspace/release-new/install-sh
launchddir = /Library/LaunchDaemons
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var

=== debian/changelog ===
glusterfs (5.1-2) unstable; urgency=medium

  * Deactivate IPv6 default configure option, since it produce problems with
    IPv4 setups.
    Closes: #914125, #913727

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 27 Nov 2018 10:16:52 +0100

glusterfs (5.1-1) unstable; urgency=high

  * New upstream release.
    - Several security vulnerabilities are fixed.
      Closes: #912997
    - This release fixes CVE-2018-14651: It was found that the fix for
      CVE-2018-10927, CVE-2018-10928, CVE-2018-10929, CVE-2018-10930, and
      CVE-2018-10926 was incomplete. A remote, authenticated attacker could use
      one of these flaws to execute arbitrary code, create arbitrary files, or
      cause denial of service on glusterfs server nodes via symlinks to
      relative paths.
    - This release fixes CVE-2018-14654: The Gluster file system through version
      4.1.4 is vulnerable to abuse of the 'features/index' translator. A remote
      attacker with access to mount volumes could exploit this via the
      'GF_XATTROP_ENTRY_IN_KEY' xattrop to create arbitrary, empty files on the
      target server.
    - This release fixes CVE-2018-14659: The Gluster file system through
      versions 4.1.4 and 3.1.2 is vulnerable to a denial of service attack via
      use of the 'GF_XATTR_IOSTATS_DUMP_KEY' xattr. A remote, authenticated
      attacker could exploit this by mounting a Gluster volume and repeatedly
      calling 'setxattr(2)' to trigger a state dump and create an arbitrary
      number of files in the server's runtime directory.
    - This release fixes CVE-2018-14660: A flaw was found in glusterfs server
      through versions 4.1.4 and 3.1.2 which allowed repeated usage of
      GF_META_LOCK_KEY xattr. A remote, authenticated attacker could use this
      flaw to create multiple locks for single inode by using setxattr
      repetitively resulting in memory exhaustion of glusterfs server node.
    - This release fixes CVE-2018-14661: It was found that usage of snprintf
      function in feature/locks translator of glusterfs server 3.8.4, as
      shipped with Red Hat Gluster Storage, was vulnerable to a format string
      attack. A remote, authenticated attacker could use this flaw to cause
      remote denial of service.
    - This release fixes CVE-2018-14653: The Gluster file system through
      versions 4.1.4 and 3.12 is vulnerable to a heap-based buffer overflow in
      the '__server_getspec' function via the 'gf_getspec_req' RPC message. A
      remote authenticated attacker could exploit this to cause a denial of
      service or other potential unspecified impact.
  * Modify patch 04-systemd-fixes to use /run directory instead of /var/run.
  * Adjust lintian overrides.
  * CVE-2012-5635 was fixed a long time ago.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 15 Nov 2018 11:10:47 +0100

## glusterfs 5.2

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -208,7 +208,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.5.1
+GFAPI_VERSION = 7.5.2
 GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
 GF_CPPFLAGS =  -I/usr/include/uuid   -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
 GF_DISTRIBUTION = Redhat
@@ -275,10 +275,10 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 5.1
+PACKAGE_STRING = glusterfs 5.2
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 5.1
+PACKAGE_VERSION = 5.2
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
@@ -326,7 +326,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 5.1
+VERSION = 5.2
 XML_CFLAGS = -I/usr/include/libxml2  
 XML_LIBS = -lxml2  
 YACC = bison -y

=== debian/changelog ===
glusterfs (5.2-1) unstable; urgency=high

  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Drop liblvm2-dev dependency.
    Closes: #915691

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Dec 2018 12:47:15 +0100

=== debian/control ===
Source: glusterfs
Section: admin
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 10.1),
 autotools-dev,
 libfuse-dev,
 libibverbs-dev,
 libdb-dev,
 librdmacm-dev,
 libaio-dev,
 libacl1-dev,
 libsqlite3-dev,
 libtirpc-dev (>= 1.1.4),
 liburcu-dev,
 uuid-dev,
 attr,
 flex,
 bison,
 firewalld,
 libreadline-dev,
 libncurses5-dev,
 libglib2.0-dev,
 libssl-dev,
 libxml2-dev,
 pkg-config,
 dh-python,
 python3-dev
Standards-Version: 4.3.0
Homepage: https://www.gluster.org/

Package: glusterfs-client
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 fuse,
 glusterfs-common (>= ${binary:Version})
Description: clustered file-system (client package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package provides the FUSE based GlusterFS tool.

Package: glusterfs-server
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 lsb-base (>= 3.0-6),
 glusterfs-common (>= ${binary:Version}),
 glusterfs-client (>= ${binary:Version})
Recommends: nfs-common
Description: clustered file-system (server package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package installs init scripts and configuration files to turn
 GlusterFS into a fully fledged file server.

Package: glusterfs-common
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 python3-prettytable,
 python3-requests,
 python3-jwt,
 libacl1-dev,
 attr,
 xfsprogs,
 e2fsprogs,
 psmisc
Conflicts: libglusterfs0,
 libglusterfs-dev
Breaks: glusterfs-server (<< 3.4.0~qa5)
Replaces: glusterfs-server (<< 3.4.0~qa5),
 libglusterfs0,
 libglusterfs-dev
Description: GlusterFS common libraries and translator modules
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package includes libglusterfs and glusterfs translator modules
 common to both GlusterFS server and client framework.

## glusterfs 5.3

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -208,7 +208,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.5.2
+GFAPI_VERSION = 7.5.3
 GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
 GF_CPPFLAGS =  -I/usr/include/uuid   -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
 GF_DISTRIBUTION = Redhat
@@ -275,10 +275,10 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 5.2
+PACKAGE_STRING = glusterfs 5.3
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 5.2
+PACKAGE_VERSION = 5.3
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
@@ -326,7 +326,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 5.2
+VERSION = 5.3
 XML_CFLAGS = -I/usr/include/libxml2  
 XML_LIBS = -lxml2  
 YACC = bison -y

=== debian/changelog ===
glusterfs (5.3-2) unstable; urgency=medium

  * Move libacl1-dev dependency to libglusterfs-dev package.
    Closes: #919708

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 18 Jan 2019 21:18:13 +0100

glusterfs (5.3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Add temporary dependency from glusterfs-common on libglusterfs-dev for a
    smooth transition.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 18 Jan 2019 13:03:49 +0100

glusterfs (5.2-2) experimental; urgency=high

  * Split out library packages.
    Closes: #918503
  * Add patch 02-spelling-error.
  * Also reintroduce libglusterfs-dev package. Tools and helpers will stay in
    the glusterfs-common package.
    Closes: #881526

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 16 Jan 2019 10:18:38 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-firewalld

%:
	dh $@ --parallel --with python3 --with systemd --with autotools-dev

override_dh_install:
	cp extras/run-gluster.tmpfiles $(CURDIR)/debian/glusterfs-server.tmpfile
	cp extras/systemd/glusterd.service $(CURDIR)/debian/glusterfs-server.glusterd.service
	cp extras/systemd/glustereventsd.service $(CURDIR)/debian/glusterfs-server.glustereventsd.service
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/trace.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/error-gen.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/io-stats.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/sink.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/delay-gen.so
	find debian/tmp/usr/lib -type f -name \*.la -exec sed 's/^dependency_libs/#dependency_libs/g' -i {} \;
	dh_install --list-missing
	mv $(CURDIR)/debian/glusterfs-common/usr/share/glusterfs/scripts/gsync-sync-gfid \
		$(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid
	rm -f $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/README.md

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_systemd_enable:
	dh_systemd_enable --no-enable --name=glusterd
	dh_systemd_enable --no-enable --name=glustereventsd

override_dh_link:
	dh_link
	dh_link -pglusterfs-common \
		"usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid" \
		"usr/share/glusterfs/scripts/gsync-sync-gfid"

override_dh_python3:
	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/$(DEB_VERSION_UPSTREAM)/xlator/features/glupy/
	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/
	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/glusterfind/
	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/events/
	dh_python3

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts

## glusterfs 5.5

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -208,7 +208,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.5.3
+GFAPI_VERSION = 7.5.5
 GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
 GF_CPPFLAGS =  -I/usr/include/uuid   -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
 GF_DISTRIBUTION = Redhat
@@ -275,10 +275,10 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 5.3
+PACKAGE_STRING = glusterfs 5.5
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 5.3
+PACKAGE_VERSION = 5.5
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
@@ -326,7 +326,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 5.3
+VERSION = 5.5
 XML_CFLAGS = -I/usr/include/libxml2  
 XML_LIBS = -lxml2  
 YACC = bison -y

=== debian/changelog ===
glusterfs (5.5-3) unstable; urgency=medium

  * Add upstream patch 05-client-rpc-payload-wire to fix the payload being sent
    on the wire.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 15 Apr 2019 10:07:38 +0200

glusterfs (5.5-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Apr 2019 13:35:07 +0200

glusterfs (5.5-1) experimental; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 25 Mar 2019 10:45:21 +0100

glusterfs (5.4-1) unstable; urgency=medium

  * New upstream release.
  * Remove pycache directory from glusterfs-common.
  * Overwrite lintian warnings for missing false pkg-config references.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 26 Feb 2019 16:11:16 +0100

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
 
 Package: glusterfs-client
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  ${python3:Depends},
@@ -49,6 +50,7 @@
 
 Package: glusterfs-server
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  ${python3:Depends},
@@ -70,24 +72,21 @@
 
 Package: glusterfs-common
 Architecture: any
+Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  ${python3:Depends},
+ libglusterfs-dev,
  python3-prettytable,
  python3-requests,
  python3-jwt,
- libacl1-dev,
  attr,
  xfsprogs,
  e2fsprogs,
  psmisc
-Conflicts: libglusterfs0,
- libglusterfs-dev
 Breaks: glusterfs-server (<< 3.4.0~qa5)
-Replaces: glusterfs-server (<< 3.4.0~qa5),
- libglusterfs0,
- libglusterfs-dev
+Replaces: glusterfs-server (<< 3.4.0~qa5)
 Description: GlusterFS common libraries and translator modules
  GlusterFS is a clustered file-system capable of scaling to several
  petabytes. It aggregates various storage bricks over Infiniband RDMA
@@ -99,3 +98,152 @@
  .
  This package includes libglusterfs and glusterfs translator modules
  common to both GlusterFS server and client framework.
+
+Package: libglusterfs0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks: glusterfs-common (<< 5.2-2)
+Replaces: glusterfs-common (<< 5.2-2)
+Description: GlusterFS shared library
+ GlusterFS is a clustered file-system capable of scaling to several
+ petabytes. It aggregates various storage bricks over Infiniband RDMA
+ or TCP/IP interconnect into one large parallel network file
+ system. GlusterFS is one of the most sophisticated file system in
+ terms of features and extensibility. It borrows a powerful concept
+ called Translators from GNU Hurd kernel. Much of the code in GlusterFS
+ is in userspace and easily manageable.
+ .
+ This package contains libglusterfs.
+
+Package: libgfapi0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks: glusterfs-common (<< 5.2-2)
+Replaces: glusterfs-common (<< 5.2-2)
+Description: GlusterFS gfapi shared library
+ GlusterFS is a clustered file-system capable of scaling to several
+ petabytes. It aggregates various storage bricks over Infiniband RDMA
+ or TCP/IP interconnect into one large parallel network file
+ system. GlusterFS is one of the most sophisticated file system in
+ terms of features and extensibility. It borrows a powerful concept
+ called Translators from GNU Hurd kernel. Much of the code in GlusterFS
+ is in userspace and easily manageable.
+ .
+ This package contains libgfapi.
+
+Package: libgfchangelog0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks: glusterfs-common (<< 5.2-2)
+Replaces: glusterfs-common (<< 5.2-2)
+Description: GlusterFS gfchangelog shared library
+ GlusterFS is a clustered file-system capable of scaling to several
+ petabytes. It aggregates various storage bricks over Infiniband RDMA
+ or TCP/IP interconnect into one large parallel network file
+ system. GlusterFS is one of the most sophisticated file system in
+ terms of features and extensibility. It borrows a powerful concept
+ called Translators from GNU Hurd kernel. Much of the code in GlusterFS
+ is in userspace and easily manageable.
+ .
+ This package contains libgfchangelog.
+
+Package: libgfdb0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks: glusterfs-common (<< 5.2-2)
+Replaces: glusterfs-common (<< 5.2-2)
+Description: GlusterFS libgfdb shared library
+ GlusterFS is a clustered file-system capable of scaling to several
+ petabytes. It aggregates various storage bricks over Infiniband RDMA
+ or TCP/IP interconnect into one large parallel network file
+ system. GlusterFS is one of the most sophisticated file system in
+ terms of features and extensibility. It borrows a powerful concept
+ called Translators from GNU Hurd kernel. Much of the code in GlusterFS
+ is in userspace and easily manageable.
+ .
+ This package contains libgfdb.
+
+Package: libgfrpc0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks: glusterfs-common (<< 5.2-2)
+Replaces: glusterfs-common (<< 5.2-2)
+Description: GlusterFS libgfrpc shared library
+ GlusterFS is a clustered file-system capable of scaling to several
+ petabytes. It aggregates various storage bricks over Infiniband RDMA
+ or TCP/IP interconnect into one large parallel network file
+ system. GlusterFS is one of the most sophisticated file system in
+ terms of features and extensibility. It borrows a powerful concept
+ called Translators from GNU Hurd kernel. Much of the code in GlusterFS
+ is in userspace and easily manageable.
+ .
+ This package contains libgfrpc.
+
+Package: libgfxdr0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks: glusterfs-common (<< 5.2-2)
+Replaces: glusterfs-common (<< 5.2-2)
+Description: GlusterFS libgfxdr shared library
+ GlusterFS is a clustered file-system capable of scaling to several
+ petabytes. It aggregates various storage bricks over Infiniband RDMA
+ or TCP/IP interconnect into one large parallel network file
+ system. GlusterFS is one of the most sophisticated file system in
+ terms of features and extensibility. It borrows a powerful concept
+ called Translators from GNU Hurd kernel. Much of the code in GlusterFS
+ is in userspace and easily manageable.
+ .
+ This package contains libgfxdr.
+
+Package: libglusterfs-dev
+Section: libdevel
+Architecture: any
+Depends: ${misc:Depends},
+ libgfapi0 (= ${binary:Version}),
+ libgfchangelog0 (= ${binary:Version}),
+ libgfdb0 (= ${binary:Version}),
+ libgfrpc0 (= ${binary:Version}),
+ libgfxdr0 (= ${binary:Version}),
+ libglusterfs0 (= ${binary:Version}),
+ libacl1-dev
+Replaces: gluster-common (<< 5.2-2)
+Description: Development files for GlusterFS libraries
+ GlusterFS is a clustered file-system capable of scaling to several
+ petabytes. It aggregates various storage bricks over Infiniband RDMA
+ or TCP/IP interconnect into one large parallel network file
+ system. GlusterFS is one of the most sophisticated file system in
+ terms of features and extensibility. It borrows a powerful concept
+ called Translators from GNU Hurd kernel. Much of the code in GlusterFS
+ is in userspace and easily manageable.
+ .
+ This package contains the development files.

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	mv $(CURDIR)/debian/glusterfs-common/usr/share/glusterfs/scripts/gsync-sync-gfid \
 		$(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid
 	rm -f $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/README.md
+	rm -rf $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gfevents/__pycache__/
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

## glusterfs 6.3

=== debian/changelog ===
glusterfs (6.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Jul 2019 09:45:33 +0200

glusterfs (6.3-1) experimental; urgency=medium

  * New upstream release.
  * Adjust lintian overrides.
  * Add patch 03-service-pid-file to use /run for pid files.
  * Add new files to /etc/glusterfs/.
  * Add patch 04-spelling-errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 19 Jun 2019 08:51:41 +0200

glusterfs (6.1-1) experimental; urgency=medium

  * New upstream release.
    - libgfdb has been dropped.
    - Drop merged patch 04-systemd-fixes.
    - Drop merged patch 05-client-rpc-payload-wire.
  * Remove transitional dependency to libglusterfs-dev from glusterfs-common.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 Apr 2019 11:34:19 +0200

## glusterfs 6.4

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -180,11 +180,12 @@
 AUTOHEADER = ${SHELL} /home/jenkins/root/workspace/release-new/missing autoheader
 AUTOMAKE = ${SHELL} /home/jenkins/root/workspace/release-new/missing automake-1.13
 AWK = gawk
-BUILD_PYTHON_SITE_PACKAGES = ${prefix}/lib/python2.7/site-packages
-BUILD_PYTHON_SITE_PACKAGES_EXPANDED = NONE/lib/python2.7/site-packages
+BUILD_GNFS = yes
+BUILD_PYTHON_SITE_PACKAGES = ${prefix}/lib/python3.6/site-packages
+BUILD_PYTHON_SITE_PACKAGES_EXPANDED = NONE/lib/python3.6/site-packages
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
+CFLAGS = -g -O2
 CONTRIBDIR = $(top_srcdir)/contrib
 CPP = gcc -E
 CPPFLAGS = 
@@ -208,9 +209,9 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.5.5
-GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
-GF_CPPFLAGS =  -I/usr/include/uuid   -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
+GFAPI_VERSION = 7.6.4
+GF_CFLAGS =  -I/usr/include/uuid   -Wformat -Werror=format-security -Werror=implicit-function-declaration
+GF_CPPFLAGS =  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
 GF_DISTRIBUTION = Redhat
 GF_FUSE_CFLAGS = -DFUSERMOUNT_DIR=\"$(bindir)\"
 GF_FUSE_LDADD = 
@@ -220,9 +221,6 @@
 GF_NO_UNDEFINED = -Wl,--no-undefined
 GF_XLATOR_DEFAULT_LDFLAGS = -avoid-version -export-symbols $(top_srcdir)/xlators/xlator.sym $(UUID_LIBS) $(GF_NO_UNDEFINED)
 GF_XLATOR_LDFLAGS = -avoid-version $(UUID_LIBS) $(GF_NO_UNDEFINED)
-GLUPY_SUBDIR = glupy
-GLUPY_SUBDIR_MAKEFILE = xlators/features/glupy/Makefile
-GLUPY_SUBDIR_SRC_MAKEFILE = xlators/features/glupy/src/Makefile
 GLUSTERD_VOLFILE = /usr/local/etc/glusterfs/glusterd.vol
 GLUSTERD_WORKDIR = /var/lib/glusterd
 GLUSTERFSD_MISCDIR = /usr/local/var/lib/misc/glusterfsd
@@ -249,7 +247,6 @@
 LIBAIO = -laio
 LIBGFCHANGELOG_LT_VERSION = 0:1:0
 LIBGFCHANGELOG_VERSION = 0.0.1
-LIBGFDB_VERSION = 0.0.1
 LIBGFRPC_LT_VERSION = 0:1:0
 LIBGFXDR_LT_VERSION = 0:1:0
 LIBGLUSTERFS_LT_VERSION = 0:1:0
@@ -275,22 +272,22 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 5.5
+PACKAGE_STRING = glusterfs 6.4
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 5.5
+PACKAGE_VERSION = 6.4
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
-PYTHON = /usr/bin/python2
-PYTHON_CFLAGS = -isystem /usr/include/python2.7
+PYTHON = /usr/bin/python3
+PYTHON_CFLAGS = 
 PYTHON_EXEC_PREFIX = ${exec_prefix}
-PYTHON_LIBS = -lpython2.7  
-PYTHON_PLATFORM = linux2
+PYTHON_LIBS = 
+PYTHON_PLATFORM = linux
 PYTHON_PREFIX = ${prefix}
-PYTHON_VERSION = 2.7
+PYTHON_VERSION = 3.6
 RANLIB = ranlib
 RDMA_SUBDIR = rdma
 RLLIBS = -lreadline -lncurses
@@ -303,8 +300,6 @@
 SIZEOF_LONG = 8
 SIZEOF_LONG_LONG = 8
 SIZEOF_SHORT = 2
-SQLITE_CFLAGS =  
-SQLITE_LIBS = -lsqlite3  
 STRIP = strip
 SYNCDAEMON_COMPILE = 1
 SYNCDAEMON_SUBDIR = geo-replication
@@ -326,7 +321,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 5.5
+VERSION = 6.4
 XML_CFLAGS = -I/usr/include/libxml2  
 XML_LIBS = -lxml2  
 YACC = bison -y
@@ -372,3 +367,15 @@
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
 localstatedir = /var
+mandir = ${datarootdir}/man
+mkdir_p = $(MKDIR_P)
+mountutildir = /sbin
+oldincludedir = /usr/include
+pdfdir = ${docdir}
+pkgconfigdir = ${libdir}/pkgconfig
+pkgpyexecdir = ${pyexecdir}/glusterfs
+pkgpythondir = ${pythondir}/glusterfs
+prefix = /usr/local
+program_transform_name = s,x,x,
+psdir = ${docdir}
+pyexecdir = ${exec_prefix}/lib64/python3.6/site-packages

=== debian/changelog ===
glusterfs (6.4-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 29 Jul 2019 10:52:51 +0200

glusterfs (6.4-2) unstable; urgency=medium

  * Make a new source only upload.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 23 Jul 2019 11:39:19 +0200

glusterfs (6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 17 Jul 2019 11:47:53 +0200

## glusterfs 6.5

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -209,7 +209,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.6.4
+GFAPI_VERSION = 7.6.5
 GF_CFLAGS =  -I/usr/include/uuid   -Wformat -Werror=format-security -Werror=implicit-function-declaration
 GF_CPPFLAGS =  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
 GF_DISTRIBUTION = Redhat
@@ -272,10 +272,10 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 6.4
+PACKAGE_STRING = glusterfs 6.5
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 6.4
+PACKAGE_VERSION = 6.5
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
@@ -321,7 +321,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 6.4
+VERSION = 6.5
 XML_CFLAGS = -I/usr/include/libxml2  
 XML_LIBS = -lxml2  
 YACC = bison -y

=== debian/changelog ===
glusterfs (6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 08 Aug 2019 09:35:02 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  pkg-config,
  dh-python,
  python3-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.gluster.org/
 
 Package: glusterfs-client
@@ -77,7 +77,6 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  ${python3:Depends},
- libglusterfs-dev,
  python3-prettytable,
  python3-requests,
  python3-jwt,
@@ -162,27 +161,6 @@
  .
  This package contains libgfchangelog.
 
-Package: libgfdb0
-Architecture: any
-Multi-Arch: same
-Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Breaks: glusterfs-common (<< 5.2-2)
-Replaces: glusterfs-common (<< 5.2-2)
-Description: GlusterFS libgfdb shared library
- GlusterFS is a clustered file-system capable of scaling to several
- petabytes. It aggregates various storage bricks over Infiniband RDMA
- or TCP/IP interconnect into one large parallel network file
- system. GlusterFS is one of the most sophisticated file system in
- terms of features and extensibility. It borrows a powerful concept
- called Translators from GNU Hurd kernel. Much of the code in GlusterFS
- is in userspace and easily manageable.
- .
- This package contains libgfdb.
-
 Package: libgfrpc0
 Architecture: any
 Multi-Arch: same
@@ -231,7 +209,6 @@
 Depends: ${misc:Depends},
  libgfapi0 (= ${binary:Version}),
  libgfchangelog0 (= ${binary:Version}),
- libgfdb0 (= ${binary:Version}),
  libgfrpc0 (= ${binary:Version}),
  libgfxdr0 (= ${binary:Version}),
  libglusterfs0 (= ${binary:Version}),

## glusterfs 7.0

=== debian/changelog ===
glusterfs (7.0-2) unstable; urgency=medium

  * Pass -VUpstream-Version to dh_makeshlibs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 08 Nov 2019 10:41:36 +0100

glusterfs (7.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch 04-spelling-errors.
  * Bump Standards-Version to 4.4.1.
  * Bump debian/compat to level 12.
    - Many packaging changes.
    - Switch to dh_installsystemd.
  * Set Rules-Requires-Root to no.
  * Add patch 05-spelling-errors.
  * Adjust lintian overrides.
  * Adjust install files.
  * Add patch 04-service-nofile.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 16 Oct 2019 15:44:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 10.1),
- autotools-dev,
+Build-Depends: debhelper (>= 12),
  libfuse-dev,
  libibverbs-dev,
  libdb-dev,
@@ -26,7 +25,8 @@
  pkg-config,
  dh-python,
  python3-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://www.gluster.org/
 
 Package: glusterfs-client

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
-	--enable-firewalld
+	--enable-firewalld --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel --with python3 --with systemd --with autotools-dev
+	dh $@ --with python3
 
 override_dh_install:
 	cp extras/run-gluster.tmpfiles $(CURDIR)/debian/glusterfs-server.tmpfile
@@ -25,18 +25,21 @@
 	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
 		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/delay-gen.so
 	find debian/tmp/usr/lib -type f -name \*.la -exec sed 's/^dependency_libs/#dependency_libs/g' -i {} \;
-	dh_install --list-missing
+	dh_install
 	mv $(CURDIR)/debian/glusterfs-common/usr/share/glusterfs/scripts/gsync-sync-gfid \
 		$(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid
 	rm -f $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/README.md
 	rm -rf $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gfevents/__pycache__/
 
+override_dh_missing:
+	dh_missing --list-missing
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
 
-override_dh_systemd_enable:
-	dh_systemd_enable --no-enable --name=glusterd
-	dh_systemd_enable --no-enable --name=glustereventsd
+override_dh_installsystemd:
+	dh_installsystemd --no-start --no-enable --restart-after-upgrade --name=glusterd
+	dh_installsystemd --no-start --no-enable --restart-after-upgrade --name=glustereventsd
 
 override_dh_link:
 	dh_link
@@ -52,4 +55,4 @@
 	dh_python3
 
 override_dh_makeshlibs:
-	dh_makeshlibs --no-scripts
+	dh_makeshlibs --no-scripts -VUpstream-Version

## glusterfs 7.1

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -209,9 +209,9 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.6.5
+GFAPI_VERSION = 7.7.1
 GF_CFLAGS =  -I/usr/include/uuid   -Wformat -Werror=format-security -Werror=implicit-function-declaration
-GF_CPPFLAGS =  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
+GF_CPPFLAGS =  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src -I$(CONTRIBDIR)/userspace-rcu
 GF_DISTRIBUTION = Redhat
 GF_FUSE_CFLAGS = -DFUSERMOUNT_DIR=\"$(bindir)\"
 GF_FUSE_LDADD = 
@@ -272,25 +272,26 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 6.5
+PACKAGE_STRING = glusterfs 7.1
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 6.5
+PACKAGE_VERSION = 7.1
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
 PYTHON = /usr/bin/python3
-PYTHON_CFLAGS = 
+PYTHON_CFLAGS = -isystem /usr/include/python3.6m
 PYTHON_EXEC_PREFIX = ${exec_prefix}
-PYTHON_LIBS = 
+PYTHON_LIBS = -lpython3.6m  
 PYTHON_PLATFORM = linux
 PYTHON_PREFIX = ${prefix}
 PYTHON_VERSION = 3.6
 RANLIB = ranlib
 RDMA_SUBDIR = rdma
 RLLIBS = -lreadline -lncurses
+RPCBIND_SERVICE = rpcbind.service
 RPCGEN = yes
 SBIN_DIR = /usr/local/sbin
 SED = /usr/bin/sed
@@ -321,7 +322,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 6.5
+VERSION = 7.1
 XML_CFLAGS = -I/usr/include/libxml2  
 XML_LIBS = -lxml2  
 YACC = bison -y
@@ -375,7 +376,3 @@
 pkgconfigdir = ${libdir}/pkgconfig
 pkgpyexecdir = ${pyexecdir}/glusterfs
 pkgpythondir = ${pythondir}/glusterfs
-prefix = /usr/local
-program_transform_name = s,x,x,
-psdir = ${docdir}
-pyexecdir = ${exec_prefix}/lib64/python3.6/site-packages
